Bug 490627 - man page allows using restore -P file1 -A file2
man page allows using restore -P file1 -A file2
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dump (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Adam Tkac
Depends On:
  Show dependency treegraph
Reported: 2009-03-17 07:33 EDT by Milos Malik
Modified: 2013-04-30 19:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-15 06:14:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2009-03-17 07:33:49 EDT
Description of problem:
Manual page claims that restore utility works fine when both -P and -A options are given, but the utility rejects them.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
# man restore | col -b | grep -- "restore.*-P"
       restore  -P  file  [-acdhHklmMNuvVy] [-A file] [-b blocksize] [-f file] 
# restore -P file1 -A file2
restore: A option is not valid for P command
Actual results:
-P and -A can be used at the same time

Expected results:
-P and -A cannot be used at the same time

Additional info:
Comment 1 Milos Malik 2009-03-17 09:38:54 EDT
You can see the same problem in the help message:

# restore 2>&1 | grep -- "-P"
        restore -P file [-acdhHlmMuvVy] [-A file] [-b blocksize]
Comment 2 RHEL Product and Program Management 2009-03-26 13:09:00 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 RHEL Product and Program Management 2009-03-30 06:59:04 EDT
This bugzilla was reviewed by QE as a non-FasTrack request.
It has since been proposed for FasTrack. The qa_ack has 
been reset. QE needs to re-review this bugzilla for FasTrack.
Comment 6 Adam Tkac 2009-04-06 11:16:02 EDT
Fixed in dump-0.4b41-4.el5.
Comment 10 errata-xmlrpc 2009-04-15 06:14:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.